import { error } from '@sveltejs/kit';
import type { PageLoad } from './$types';

export const load: PageLoad = async ({ params }) => {
	const post = await import("$content/archives.md");
	const Content = post.default;

	return {
		metadata: {
			...post.metadata,
			date: new Date(post.metadata.date),
		},
		Content,
	};
}
